/* GENERAL
----------------------------------------------- */
@import url(https://fonts.bunny.net/css?family=squada-one:400|silkscreen:400,700|cutive-mono:400);

:root {
  --background-color: #F7F7E3;
  --secondary-background-color: #fffff7;
  --font-color: #6c5847;
  --accent-color: #C5C084;
  --image-filter: #cd732a;

  --main-font: 'Silkscreen', display;
  --accent-font: "Times", serif;
  --review-font: 'Cutive Mono', monospace;
}

/* Header
------------------------ */
body {
  color: var(--font-color)
}

#header {
  margin: auto;
  min-width: 15rem;
  display: flex;
  justify-content: center;
  padding: 3rem;
  gap: 1rem;
}

#header > * {
  min-width: 10rem;
  max-width: 18rem;
  object-fit: cover;
}

#header img {
  border-radius: 1rem;
}

#header h1 {
  font-size: 1.3rem;
  font-family: var(--accent-font);
  font-weight: bold;
}

em, #header .source {
    color: var(--accent-color);
}

#header p {
  font-family: var(--review-font);
  font-size: .6rem;
}

#header .quote {
  padding: 1rem;
  text-align: justify;
}

#header .source {
  text-transform: uppercase;
  text-align: center;
  font-size: .7rem;
  font-style: italic;
}

#header .update {
  font-size: .6rem;
  text-align: left;
  margin-top: 1rem;
  font-family: var(--main-font);
}

/* LOG */
#collections {
  width: 70%;
  margin: auto;
}

#collections h1 {
  font-size: 1.5rem;
  font-style: italic;
  font-weight: bold;
  text-transform: capitalize;
  border-bottom: solid 1px var(--accent-color);
}

.collection {
  margin: auto;
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(5rem, 1fr));
  gap: .5rem;
  padding: 1rem;
}

.item {
  position: relative;
  width: 100%;
  height: 8rem;
  transition: all 0.2s ease-in-out;
  background-size: cover;
  background-position: center;
  overflow: hidden;
  border-radius: 0.4rem;
}

.filter {
  width: 100%;
  height: 100%;
  background-color: var(--image-filter);
  opacity: 35%;
  mix-blend-mode: hue;
  position: absolute;
  top: 0;
  z-index: 1;
}

.statusBox {
  width: 100%;
  height: 0.4rem;
  position: absolute;
  bottom: 0;
  box-shadow: 0px 0px 6px 0px rgba(0, 0, 0, 0.8);
  -webkit-box-shadow: 0px 0px 6px 0px rgba(0, 0, 0, 0.8);
  -moz-box-shadow: 0px 0px 6px 0px rgba(0, 0, 0, 0.8);
  z-index: 2;
}

.status {
  height: 1rem;
  background-color: var(--accent-color);
}

.ratingBox {
  background-color: var(--secondary-background-color);
  width: fit-content;
  padding: 0.2rem 0.5rem;
  border-radius: 1rem;
  font-size: 0.7rem;
  font-weight: bold;
  margin: 0.2rem;
  position: relative;
  z-index: 2;
}



/* POP UP */
dialog h2 {
  width: 100%;
  font-style: italic;
  text-transform: uppercase;
}

.clickable {
  cursor: pointer;
}

.clickable:hover {
  transform: scale(1.1);
}

dialog {
  border: none;
  padding: 0;
  background-color: var(--secondary-background-color);
  font-family: var(--review-font);
  width: 40%;
  border-radius: .5rem;
  overflow: hidden;
  box-shadow: 0px 0px 6px 0px rgba(59, 48, 28, 0.1);
  -webkit-box-shadow: 0px 0px 6px 0px rgba(59, 48, 28, 0.1);
  -moz-box-shadow: 0px 0px 6px 0px rgba(59, 48, 28, 0.1);
}

.popUpMain {
  display: flex;
  justify-content: space-between;
}

.popUpContent {
  border-left: var(--border-color) solid 0.2rem;
}

dialog img,
.popUpContent {
  max-height: 12rem;
}

dialog .popUpContent {
  flex-grow: 1;
  padding: 1rem;
}

dialog .popUpContent {
  overflow-y: auto;
}

dialog h2 {
  font-size: 1rem;
}

dialog p {
  font-size: .6rem;
  margin: .5rem auto;
  text-align: justify;
  text-transform: none;
}

.closeBtn {
  border-radius: 100%;
  position: absolute;
  top: 0;
  right: 0;
  margin: 0.5rem;
  aspect-ratio: 1 / 1;
  padding: 0.5rem;
  background-color: var(--accent-color);
  opacity: 0.5;
  border: none;
}

.closeBtn:hover {
  opacity: 1;
  cursor: pointer;
}